<template>
    <div>
        <table class="table is-hoverable is-fullwidth">
            <tbody>
                <tr v-for="address in addresses" :key="address.id">
                    <td>
                        <p :class="{ 'has-text-weight-bold': address.id === selectedAddress.id }">
                            {{ address.name }}<br>
                            {{ address.address_1 }}<br>
                            {{ address.city }}<br>
                            {{ address.postal_code }}<br>
                            {{ address.country.name }}
                        </p>
                    </td>
                    <td>
                        <a href="" class="button is-info" @click.prevent="$emit('click', address)">Enviar para este</a>
                    </td>
                </tr>
            </tbody>
        </table>
    <Pagination 
        store="address" 
        :totalPages="pagination.last_page"
        :total="pagination.total"
        :currentPage="pagination.current_page"
    />
    </div>
</template>
<script>
    import Pagination from '@/layouts/partials/Pagination'

    export default {
        mounted() {
            console.log(this.pagination)
        },

        computed: {
            pagination() {
                return this.$store.state['address']['meta']
            },
            addresses() {
                return this.$store.state['address']['addresses']
            }
        },
        props: {
            // addresses: {
            //     required: true,
            //     type: Array
            // },
            selectedAddress: {
                required: true,
                type: Object
            }
        },

        components: {
            Pagination
        }
    }
</script>